Ai Draft Requests Controller get
curl --request GET \
--url https://api.raul.ugps.io/api/v1/ai/draft-requests/{requestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.raul.ugps.io/api/v1/ai/draft-requests/{requestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.raul.ugps.io/api/v1/ai/draft-requests/{requestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "QUEUED",
"version": 123,
"deadlineAt": "2023-11-07T05:31:56Z",
"target": {
"type": "thread",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"format": "email",
"failure": {
"code": "generation_unavailable",
"provider": "minimax",
"problem": "missing"
},
"draft": {
"body": "<string>",
"subject": "<string>",
"operatorNote": "<string>",
"reviewDecision": "INCOMPLETE",
"generationRunId": "<string>"
},
"metrics": {
"tokensPrompt": 123,
"tokensCompletion": 123,
"generationTimeMs": 123,
"costUsd": 123,
"modelUsed": "<string>",
"promptVersion": "<string>",
"verdict": "machine_verified"
}
}IA - Solicitudes de borrador
Ai Draft Requests Controller get
GET
/
api
/
v1
/
ai
/
draft-requests
/
{requestId}
Ai Draft Requests Controller get
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Path Parameters
Response
200 - application/json
Available options:
QUEUED, PREPARING, DECIDING, COMPOSING, REVIEWING, DRAFT_READY, NEEDS_OPERATOR, FAILED, CANCELLED, STALE Límite de la solicitud en segundo plano
Show child attributes
Show child attributes
Available options:
email, whatsapp, internal Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes